package com.example.appforkids.screen.authorize

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import com.example.appforkids.screen.common.CommonButton
import com.example.appforkids.screen.common.CommonTextFieldWithLabel

@Preview
@Composable
fun AuthorizeScreen() {
    Column(
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center,
        modifier = Modifier.fillMaxSize().padding(5.dp),

    ) {
        var login by remember { mutableStateOf("") }
        CommonTextFieldWithLabel(
            value = login,
            onValueChange = { login = it},
            label = "Введите никнейм"
        )
        var password by remember { mutableStateOf("") }
        CommonTextFieldWithLabel(
            value = password,
            onValueChange = { password = it},
            label = "Введите пароль"
        )
        CommonButton(
            text = "Зарегистрироваться",
            onClick = {}
        )
    }
}