package com.example.appforkids.screen.common

import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.text.input.TextFieldValue
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp

@Preview
@Composable
fun CommonButton(onClick: () -> Unit, text: String){
    Button(onClick = onClick,
        modifier = Modifier
        .fillMaxWidth()
        .height(40.dp)) {
        Text(text = text)
    }
}

@Composable
fun CommonTextFieldWithLabel(value: String, onValueChange: (String) -> Unit, label:String){
    Text(text = label)
    TextField(
        value =value,
        onValueChange = onValueChange,
        label = {Text(text = label)},
        modifier = Modifier.padding(10.dp)
        )
}